<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XRouteGroup StructType
 * @subpackage Structs
 */
class XRouteGroup extends AbstractStructBase
{
    /**
     * The distributionAlgorithm
     * Meta information extracted from the WSDL
     * - default: Circular
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $distributionAlgorithm;
    /**
     * The members
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\Members
     */
    public $members;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $name;
    /**
     * Constructor method for XRouteGroup
     * @uses XRouteGroup::setDistributionAlgorithm()
     * @uses XRouteGroup::setMembers()
     * @uses XRouteGroup::setName()
     * @param string $distributionAlgorithm
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Members $members
     * @param string $name
     */
    public function __construct($distributionAlgorithm = 'Circular', \\Losc\CucmBundle\Model\Webservice\StructType\Members $members = null, $name = null)
    {
        $this
            ->setDistributionAlgorithm($distributionAlgorithm)
            ->setMembers($members)
            ->setName($name);
    }
    /**
     * Get distributionAlgorithm value
     * @return string
     */
    public function getDistributionAlgorithm()
    {
        return $this->distributionAlgorithm;
    }
    /**
     * Set distributionAlgorithm value
     * @param string $distributionAlgorithm
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XRouteGroup
     */
    public function setDistributionAlgorithm($distributionAlgorithm = 'Circular')
    {
        $this->distributionAlgorithm = $distributionAlgorithm;
        return $this;
    }
    /**
     * Get members value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Members
     */
    public function getMembers()
    {
        return $this->members;
    }
    /**
     * Set members value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Members $members
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XRouteGroup
     */
    public function setMembers(\\Losc\CucmBundle\Model\Webservice\StructType\Members $members = null)
    {
        $this->members = $members;
        return $this;
    }
    /**
     * Get name value
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XRouteGroup
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
}
